/*
 *	Shared Object plugin for Snort Intrusion Detection System.
 *	Copyright (C) 2008 dxp
 *
 *	See file "COPYING" for TERMS AND CONDITIONS.
 */
/*
 * LOCAL Dynamic Rules
 */

#include <sf_snort_plugin_api.h>
#include <sf_dynamic_meta.h>
#include <stdio.h>
#include <string.h>

#define NAME "local-dynamic"
#define VERSION_MAJOR 1
#define VERSION_MINOR 0
#define BUILD 1

/*
 * Returns information about this plugin:
 * type, version, build, and a unique name
 */
int LibVersion (DynamicPluginMeta *dpm)
{
	dpm->type = TYPE_DETECTION;
	dpm->major = VERSION_MAJOR;
	dpm->minor = VERSION_MINOR;
	dpm->build = BUILD;
	
	strncpy(dpm->uniqueName, NAME, MAX_NAME_LEN);
	
	return 0;
}

/*
 * Identifies what engine and version these rules are
 * written for.
 */
int EngineVersion (DynamicPluginMeta *dpm)
{
	dpm->type = TYPE_ENGINE;
	dpm->major = 1;
	dpm->minor = 0;
	dpm->build = 0;
	
	strncpy(dpm->uniqueName, "SF_SNORT_DETECTION_ENGINE", MAX_NAME_LEN);
		
	return 0;
}

/*
 * List of rules included in this module
 */
extern Rule rule2532;

Rule *rules[] = 
{
	&rule2532,
	NULL
};

int InitializeDetection ()
{
	return RegisterRules(rules);
}

int DumpSkeletonRules ()
{
	return DumpRules(NAME, rules);
}
